## com.icl.saxon.sort
Class LowercaseFirstComparer

    java.lang.Object
      com.icl.saxon.sort.Comparer
          com.icl.saxon.sort.LowercaseFirstComparer

public class LowercaseFirstComparer
extends Comparer

A Comparer used for comparing keys

Constructor Summary
`LowercaseFirstComparer()`

Method Summary
`int` `compare(java.lang.Object a, java.lang.Object b)` Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case lowercase comes first.

Methods inherited from class com.icl.saxon.sort.Comparer
`setDataType, setOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LowercaseFirstComparer

    public LowercaseFirstComparer()

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case lowercase comes first.

  Specified by:
    `compare` in class `Comparer`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer